//! Run an WOW/BTC swap in the role of Alice.
//! Alice holds WOW and wishes receive BTC.
use crate::database::Database;
use crate::env::Config;
use crate::{asb, bitcoin, wownero};
use std::sync::Arc;
use uuid::Uuid;

pub use self::state::*;
pub use self::swap::{run, run_until};

pub mod state;
pub mod swap;

pub struct Swap {
    pub state: AliceState,
    pub event_loop_handle: asb::EventLoopHandle,
    pub bitcoin_wallet: Arc<bitcoin::Wallet>,
    pub wownero_wallet: Arc<wownero::Wallet>,
    pub env_config: Config,
    pub swap_id: Uuid,
    pub db: Arc<Database>,
}
